# addRevenueTransactions

Bulk creates revenue transactions.

`POST /v1/revenuetransactions`

**API:** Avalara MyLodgeTax API
**Tag:** Revenue
**API Version:** v1.2
**Base URL:** https://mylodgetaxapi-sbx.avalara.net
**Content-Type:** `application/json`
**Authentication:** API Key (`Authorization` in header)

Source: https://developer.avalara.com/products/mylodge/api/methods/Revenue/addRevenueTransactions/

## Description

The POST operation of the revenuetransactions endpoint allows for the  submittal of bulk revenue information.
>
Reference to PUT /v1/locations/{locationid}/revenuetransactions/{transactionid} for the details of each revenue transaction field

## Request Body

**Schema:** `PostRevenueTransactionsRequest`

Array of Revenue Transaction objects

## Responses

| Status | Description | Schema |
|---|---|---|
| 200 | OK |  |
| 400 | Bad request: check response body message for details | `ErrorResponse` |
| 401 | Unauthorized | `ErrorResponse` |
| 404 | Location Not Found | `ErrorResponse` |
| 409 | Duplicate transaction ids | `ErrorResponse` |
| 422 | The provided location id is for an inactive location  -OR- the transaction date in the request-body is outside the  current reporting-period  -OR- The provided location id is not linked to a MyLodgeTax property  -OR- Multiple transactions for the same location id  -OR- Number of transactions cannot exceed 120. | `ErrorResponse` |
| 429 | Exceeded API Rate Limits | `ErrorResponse` |
| 500 | The transactions in a single request are associated with multiple MyLodge customers  -OR- the partner does not exist | `ErrorResponse` |

## Example Request

```bash
curl -X POST "https://mylodgetaxapi-sbx.avalara.net/v1/revenuetransactions" \
  -H "Authorization: Basic <credentials>" \
  -H "Content-Type: application/json" \
  -H "Accept: application/json" \
  -d '[
  {
    "transactionId": "",
    "locationId": "",
    "transactionDate": "",
    "totalRevenue": "",
    "exemptRevenue": "",
    "totalNights": "",
    "exemptNights": "",
    "memo": "",
    "sourceMarketplace": "",
    "bookingDate": ""
  }
]'
```